puts "Running #{'AlCapON'.green} for #{'eZ Publish 4'.red}"

set :ezp_legacy, ""

after "deploy:finalize_update" do
  if fetch( :shared_children_group, false )
    shared_children.map { |d| run( "chgrp -R #{shared_children_group} #{shared_path}/#{d.split('/').last}") }
  end
  ezpublish.var.init_release
  ezpublish.var.link
  ezpublish.settings.deploy
  ezpublish.autoloads.generate
  if fetch( :ezp4_trigger_cache_clear, false )
    ezpublish.cache.clear
  end
end

namespace :ezpublish do

  namespace :cache do
    desc <<-DESC
      Clear caches the way it is configured in ezpublish.rb
    DESC
    # Caches are just cleared for the primary server
    # Multiple server platform are supposed to use a cluster configuration (eZDFS/eZDBFS)
    # and cache management is done via expiry.php which is managed by the cluster API
    task :clear, :roles => :web, :only => { :primary => true } do
      puts( "\n--> Clearing caches #{'with --purge'.red if cache_purge}" )
      cache_list.each { |cache_tag|
        print_dotted( "#{cache_tag}" )
        run "cd #{latest_release}/#{ezp_legacy_path} && sudo -u #{fetch(:php_user,user)} php bin/php/ezcache.php --clear-tag=#{cache_tag}#{' --purge' if cache_purge}"
        capez_puts_done
      }
    end
  end

end
